> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all models

> Get a list of all deployed models.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-ml-model-service.json get /ai/ml-models
openapi: 3.0.1
info:
  title: Machine Learning Model Service API
  description: >-
    Use these APIs to deploy machine learning (ML) models and generate
    predictions. Fusion's Machine Learning (ML) Model service stores deployed
    models and runs prediction jobs.
  version: '5.9'
  contact:
    name: Lucidworks Support
    url: https://lucidworks.com/support/
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Model Service API
    description: Use this API to deploy ML models and generate predictions.
  - name: Serialized Model API
    description: >-
      The Serialized Model API is for fetching, updating, or deleting deployed
      models.
paths:
  /ai/ml-models:
    get:
      tags:
        - Model Service API
      summary: List all models
      description: Get a list of all deployed models.
      operationId: getModels
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  models:
                    type: array
                    items:
                      type: object
                      properties:
                        model_id:
                          type: string
                          description: The model's unique ID
                        type:
                          type: string
                          description: >-
                            The model backend (for example, 'seldon' or
                            'open-nlp')
                        last_modified:
                          type: string
                          format: date-time
                          description: Timestamp of last modification.
                      required:
                        - model_id
                        - type
                        - last_modified
                required:
                  - models
              example:
                models:
                  - model_id: lucidworks-sentiment
                    type: mleap
                    last_modified: '2024-09-13T19:43:20Z'
                  - model_id: opennlp
                    type: open-nlp
                    last_modified: '2024-09-13T19:43:15Z'
                  - model_id: sentiment-reviews
                    type: seldon
                    last_modified: '2024-09-13T20:29:05Z'

````